/*
** Author: Dimitris Diochnos
** e-mail: diochnos@gmail.com
**
** File Name: sec_skills_mighty.h
**
** Date Started : 20 April 2006.
** Date Finished: 28 April 2006.
**
** Tab space: 3
**
**
** Basic definitions and global variables.
**
*/

#ifndef SECONDARY_SKILLS_MIGHTY_H
#define SECONDARY_SKILLS_MIGHTY_H

/* Caution: NULL_SKILL is included on the following. */
#define DIFF_SEC_SKILLS 29

#define TOTAL_CHANCES 112
#define DEFAULT_MAGIC_SCHOOL_LEVEL 4
#define DEFAULT_WISDOM_LEVEL 6
#define SKILL_SLOTS 8
#define NUM_HEROES 8

/*****************************************************************************/

enum Skill_Level { BASIC = 1, ADVANCED, EXPERT };

/*****************************************************************************/

enum Secondary_Skills { NULL_SKILL = 0, AIR_MAGIC, ARCHERY, ARMORER, ARTILLERY, BALLISTICS, DIPLOMACY, EAGLE_EYE, EARTH_MAGIC, ESTATES, FIRE_MAGIC, FIRST_AID, INTELLIGENCE, LEADERSHIP, LEARNING, LOGISTICS, LUCK, MYSTICISM, NAVIGATION, NECROMANCY, OFFENSE, PATHFINDING, RESISTANCE, SCHOLAR, SCOUTING, SORCERY, TACTICS, WATER_MAGIC, WISDOM };

/*****************************************************************************/

enum Hero_Classes { ALCHEMIST = 0, BARBARIAN, BEASTMASTER, DEATH_KNIGHT, DEMONIAC, KNIGHT, OVERLORD, PLANESWALKER, RANGER};

/*****************************************************************************/

enum Alchemists { FAFNER = 0, IONA, NEELA, PIQUEDRAM, JOSEPHINE, RISSA, THANE, TOROSAR };
enum Barbarians { CRAG_HACK = 0, GRETCHIN, GURNISSON, JABARKAS, KRELLION, SHIVA, TYRAXOR, YOG };
enum Beastmasters { ALKIN = 0, BROGHILD, BRON, DRAKON, GERWULF, KORBAC, TAZAR, WYSTAN };
enum Death_Knights { CHARNA = 0, CLAVIUS, GALTHRAN, ISRA, MOANDOR, TAMIKA, STRAKER, VOKIAL };
enum Demoniacs { RASHKA = 0, CALH, FIONA, IGNATIUS, MARIUS, NYMUS, PYRE, OCTAVIA };
enum Knights { EDRIC = 0, ORRIN, SYLVIA, LORD_HAART, VALESKA, CHRISTIAN, SORSHA, TYRIS, SIR_MULLICH };
enum Overlords { AJIT = 0, ARLACH, DACE, DAMACON, GUNNAR, LORELEI, SHAKTI, SYNCA };
enum Planeswalkers { ERDAMON = 0, FIUR, IGNISSA, KALT, LACUS, MONERE, PASIS, THUNAR };
enum Rangers { CLANCY = 0, IVOR, JENOVA, KYRRE, MEPHALA, RYLAND, THORGRIM, UFRETIN, GELU };

/*****************************************************************************/

#endif
